// pages/stock/addsupplier/addsupplier.js
let common = require('../../../utils/util.js');
var that
Page({

  /**
   * 页面的初始数据
   */
  data: {
    supdata: {
      name: '',
      tel: '',
      address: '',

    },
    userName: ''
  },
  setName(e) {
    var su = this.data.supdata
    su.name = e.detail.value
    this.setData({
      supdata: su
    })
  },
  setTel(e) {
    var su = this.data.supdata
    su.tel = e.detail.value
    this.setData({
      supdata: su
    })
  },
  setAddress(e) {
    var su = this.data.supdata
    su.address = e.detail.value
    this.setData({
      supdata: su
    })
  },
  save() {
    var data = this.data.supdata
    if (!data.name) {
      common.showToast('请填写供应商名称')
      return
    }
    /**
        if (!data.tel) {
          common.showToast('请填写手机号')
          return
        }
        if (!common.checkPhone(data.tel)) {
          common.showToast('请填写正确的手机号')
          return
        }
        if (!data.address) {
          common.showToast('请填写地址')
          return
        } */

    common.query(data.id ? 'supplier/wxapi/update' : 'supplier/wxapi/create', data, function(res) {
      if (res.code === 10000) {
        common.showToast("保存成功")
        setTimeout(function() {
          let pages = getCurrentPages()
          let prevPage = pages[pages.length - 2]
         // prevPage.getAddressList()
          wx.navigateBack({
            delta: 1
          })
        }, 2000)
      } else {
        common.showToast(res.message)
      }
    }, "POST")
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function(options) {
    that = this
    var ui = wx.getStorageSync("userinfo")
    if (ui) {
      this.setData({
        userName: ui.wechatName
      })
    } else {
      common.showToast('请先登录')
    }
    if (options.id) {
      this.setData({
        id: options.id
      })
      this.getData(options.id)
    }

  },
  getData(id) {
    common.query('supplier/wxapi/findbyid?id=' + id, {}, function(res) {
      if (res.code === 10000) {
        that.setData({
          supdata: res.data
        })

      } else {
        common.showToast('获取数据失败')
      }
    })
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function() {

  }
})